net.sourceforge.pmd.lang.java.ast

## Class AbstractJavaTypeNode

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractNode
  - - net.sourceforge.pmd.lang.java.ast.AbstractJavaNode
    - - net.sourceforge.pmd.lang.java.ast.AbstractJavaTypeNode

All Implemented Interfaces:
  Node, JavaNode, TypeNode

Direct Known Subclasses:
  ASTAdditiveExpression, ASTAllocationExpression, ASTAndExpression, ASTBooleanLiteral, ASTCastExpression, ASTClassOrInterfaceType, ASTCompilationUnit, ASTConditionalAndExpression, ASTConditionalExpression, ASTConditionalOrExpression, ASTEqualityExpression, ASTExclusiveOrExpression, ASTExpression, ASTImportDeclaration, ASTInclusiveOrExpression, ASTInstanceOfExpression, ASTLiteral, ASTMarkerAnnotation, ASTMultiplicativeExpression, ASTName, ASTNormalAnnotation, ASTNullLiteral, ASTPostfixExpression, ASTPreDecrementExpression, ASTPreIncrementExpression, ASTPrimaryExpression, ASTPrimaryPrefix, ASTPrimitiveType, ASTReferenceType, ASTRelationalExpression, ASTShiftExpression, ASTSingleMemberAnnotation, ASTStatementExpression, ASTType, ASTTypeDeclaration, ASTUnaryExpression, ASTUnaryExpressionNotPlusMinus, ASTVariableDeclarator, ASTVariableDeclaratorId

    public abstract class AbstractJavaTypeNode
    extends AbstractJavaNode
    implements TypeNode

An extension of the SimpleJavaNode which implements the TypeNode interface.

See Also:
  `AbstractJavaNode`, `TypeNode`

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`parser`

### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`beginColumn, beginLine, children, endColumn, endLine, id, parent`

### Constructor Summary

Constructors
Constructor and Description
`AbstractJavaTypeNode(int i)`
`AbstractJavaTypeNode(JavaParser p, int i)`

### Method Summary

Methods
`Class<?>` `getType()` Get the Java Class associated with this node.
`void` `setType(Class<?> type)` Set the Java Class associated with this node.

### Methods inherited from class net.sourceforge.pmd.lang.java.ast.AbstractJavaNode

`childrenAccept, comment, comment, getScope, jjtAccept, jjtClose, jjtOpen, setScope, toString`

### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractNode

`appendElement, findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDecendantOfAnyType, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, isSingleLine, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData, testingOnly__setBeginColumn, testingOnly__setBeginLine, testingOnly__setEndColumn, testingOnly__setEndLine`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface net.sourceforge.pmd.lang.ast.Node

`findChildNodesWithXPath, findChildrenOfType, findDescendantsOfType, findDescendantsOfType, getAsDocument, getBeginColumn, getBeginLine, getDataFlowNode, getEndColumn, getEndLine, getFirstChildOfType, getFirstDescendantOfType, getFirstParentOfType, getImage, getNthParent, getParentsOfType, getUserData, hasDescendantMatchingXPath, hasDescendantOfType, hasImageEqualTo, isFindBoundary, jjtAddChild, jjtGetChild, jjtGetId, jjtGetNumChildren, jjtGetParent, jjtSetParent, setDataFlowNode, setImage, setUserData`

### Constructor Detail

#### AbstractJavaTypeNode

    public AbstractJavaTypeNode(int i)

#### AbstractJavaTypeNode

    public AbstractJavaTypeNode(JavaParser p,
                        int i)

### Method Detail

#### getType

    public Class<?> getType()

Description copied from interface: `TypeNode`
Get the Java Class associated with this node.

Specified by:
  `getType` in interface `TypeNode`
Returns:
  The Java Class, may return `null`.

#### setType

    public void setType(Class<?> type)

Description copied from interface: `TypeNode`
Set the Java Class associated with this node.

Specified by:
  `setType` in interface `TypeNode`
Parameters:
  `type` - A Java Class